#include<stdio.h>
int main()
{
    int N,i,q,A;
    int new_i,new_q;
    scanf("%d", &N);
//    int res = N;
    int chocolate[N][2];
    for(i = 0; i < N; i++)
    {
        scanf("%d", &A);
        chocolate[i][0] = A;
    }
    for(i = 0; i < N; i++)
    {
        scanf("%d", &A);
        chocolate[i][1] = A;
    }
    int pair = 0;
    int pairs[N];
    int num_of_pairs=0;
    for(i = 0; i < N; i++)
    {
        for(q = 0; q < N; q++)
        {
            if(chocolate[i][0]==chocolate[q][1])
            {
                while(chocolate[i][0]==chocolate[q][1])
                {
                    printf("first %d| second %d\n",chocolate[i][0],chocolate[q][1]);
                    pair++;
                    i++;
                    q++;
                }
                if(pair>=2)
                {
                    pairs[num_of_pairs] = pair;
                    num_of_pairs++;

                }
                pair = 0;
                q =0;
            }
        }
    }
    int res = N - num_of_pairs;
    for(i = 0; i < num_of_pairs; i++)
    {
        if(pairs[i] > 2)
        {
            res = res - pairs[i] + 2;
        }
        printf("%d\n", pairs[i]);
    }
    printf("1");
    return 0;
}